UNIT PCI3001;

INTERFACE

FUNCTION   i_PCI3001_GetNumberOfBoards (var pb_NbrOfBoards : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_GetBoardInformation(b_BoardIndex : Byte;
									dw_IdentifierStringSize : LongWord;
									pc_Identifier : PAnsiChar;
									var	pdw_UINumber : LongWord;
								    var pdw_DeviceNumber : LongWord;
								    var pdw_BusNumber : LongWord;
									var	pdw_BaseAddress0 : LongWord;
									var	pdw_BaseAddress1 : LongWord;
									var	pdw_BaseAddress2 : LongWord;
									var pdw_Version : LongWord;
									var pb_Interrupt : Byte ): Int16;FAR;STDCALL;
						
FUNCTION   i_PCI3001_OpenBoardViaIndex (b_BoardIndex : Byte; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_OpenBoardViaIdentifier (pc_Identifier : PCHAR; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_CloseBoard (h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_GetDLLVersion (var pdw_Version : LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_GetDeviceDriverVersion(h_DeviceHandle : THANDLE; var pdw_Version : LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_SetBoardIntRoutine (h_DeviceHandle : THANDLE; v_FunctionName : Pointer): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_ResetBoardIntRoutine (h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_SetDigitalOutputMemoryOn(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_SetDigitalOutputMemoryOff(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Read1DigitalInput(h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_Value : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Read4DigitalInputs(h_DeviceHandle : THANDLE; var pb_Value : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Set1DigitalOutputOn(h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Set1DigitalOutputOff(h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Set4DigitalOutputsOn(h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Set4DigitalOutputsOff(h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Get1DigitalOutputStatus(h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_OutputsStatus : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Get4DigitalOutputsStatus(h_DeviceHandle : THANDLE; var	pb_OutputsStatus : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_SetAnalogInputMode(h_DeviceHandle : THANDLE; b_InputMode : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_GetAnalogInputMode(h_DeviceHandle : THANDLE; var pb_InputMode : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_Read1AnalogInput (h_DeviceHandle : THANDLE;
								       b_Channel : Byte;
									   b_Gain : Byte;
									   b_Polarity : Byte;
									   w_ConvertingTime : UInt16;
									   b_InterruptFlag : Byte;
									   var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;


FUNCTION   i_PCI3001_ReadMoreAnalogInputs (h_DeviceHandle : THANDLE;
										   b_ChannelCount : Byte;
										   var pb_Channel : Byte;
										   var pb_Gain : Byte;
										   var pb_Polarity : Byte;
										   w_ConvertingTime : UInt16;
										   b_InterruptFlag : Byte;
									       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;


FUNCTION   i_PCI3001_InitAndStartAnalogInputSequence(h_DeviceHandle : THANDLE;
												     dw_SequenceCount : LongWord;
													 dw_SequenceBeforeInterrupt : LongWord;
													 b_ChannelCount : Byte;
													 var pb_Channel : Byte;
													 var pb_Gain : Byte;
													 var pb_Polarity : Byte;
													 w_ConvertingTime : UInt16;
													 b_DelayMode : Byte;
													 dw_DelayTime : LongWord;
													 b_ExtTriggerMode : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_StopAnalogAcquisition(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;

FUNCTION   l_PCI3001_ReadSequenceData(h_DeviceHandle : THANDLE; size : LongWord; var data : Uint16): longint;FAR;STDCALL;


FUNCTION   i_PCI3001_InitAndStartTimer (h_DeviceHandle : THANDLE; dw_DelayValue : LongWord; b_InterruptFlag : Byte): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_StopTimer (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_ReadTimerValue (h_DeviceHandle : THANDLE; var pdw_ReadValue : LongWord): Int16;FAR;STDCALL;

FUNCTION   i_PCI3001_WriteTimerValue (h_DeviceHandle : THANDLE; var dw_WriteValue : LongWord): Int16;FAR;STDCALL;



IMPLEMENTATION



FUNCTION   i_PCI3001_GetNumberOfBoards (var pb_NbrOfBoards : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_GetBoardInformation(b_BoardIndex : Byte;
									dw_IdentifierStringSize : LongWord;
									pc_Identifier : PAnsiChar;
									var	pdw_UINumber : LongWord;
								    var pdw_DeviceNumber : LongWord;
								    var pdw_BusNumber : LongWord;
									var	pdw_BaseAddress0 : LongWord;
									var	pdw_BaseAddress1 : LongWord;
									var	pdw_BaseAddress2 : LongWord;
									var pdw_Version : LongWord;
									var pb_Interrupt : Byte ): Int16;FAR;STDCALL;External 'PCI3001.DLL';
						
FUNCTION   i_PCI3001_OpenBoardViaIndex (b_BoardIndex : Byte; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_OpenBoardViaIdentifier (pc_Identifier : PCHAR; var ph_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_CloseBoard (h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_GetDLLVersion (var pdw_Version : LongWord): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_GetDeviceDriverVersion(h_DeviceHandle : THANDLE; var pdw_Version : LongWord): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_SetBoardIntRoutine (h_DeviceHandle : THANDLE; v_FunctionName : Pointer): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_ResetBoardIntRoutine (h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_SetDigitalOutputMemoryOn(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_SetDigitalOutputMemoryOff(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Read1DigitalInput(h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_Value : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Read4DigitalInputs(h_DeviceHandle : THANDLE; var pb_Value : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Set1DigitalOutputOn(h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Set1DigitalOutputOff(h_DeviceHandle : THANDLE; b_Channel : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Set4DigitalOutputsOn(h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Set4DigitalOutputsOff(h_DeviceHandle : THANDLE; b_Mask : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Get1DigitalOutputStatus(h_DeviceHandle : THANDLE; b_Channel : Byte; var pb_OutputsStatus : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Get4DigitalOutputsStatus(h_DeviceHandle : THANDLE; var	pb_OutputsStatus : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_SetAnalogInputMode(h_DeviceHandle : THANDLE; b_InputMode : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_GetAnalogInputMode(h_DeviceHandle : THANDLE; var pb_InputMode : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_Read1AnalogInput (h_DeviceHandle : THANDLE;
								       b_Channel : Byte;
									   b_Gain : Byte;
									   b_Polarity : Byte;
									   w_ConvertingTime : UInt16;
									   b_InterruptFlag : Byte;
									   var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;External 'PCI3001.DLL';


FUNCTION   i_PCI3001_ReadMoreAnalogInputs (h_DeviceHandle : THANDLE;
										   b_ChannelCount : Byte;
										   var pb_Channel : Byte;
										   var pb_Gain : Byte;
										   var pb_Polarity : Byte;
										   w_ConvertingTime : UInt16;
										   b_InterruptFlag : Byte;
									       var pw_ChannelValue : UInt16): Int16;FAR;STDCALL;External 'PCI3001.DLL';


FUNCTION   i_PCI3001_InitAndStartAnalogInputSequence(h_DeviceHandle : THANDLE;
												     dw_SequenceCount : LongWord;
													 dw_SequenceBeforeInterrupt : LongWord;
													 b_ChannelCount : Byte;
													 var pb_Channel : Byte;
													 var pb_Gain : Byte;
													 var pb_Polarity : Byte;
													 w_ConvertingTime : UInt16;
													 b_DelayMode : Byte;
													 dw_DelayTime : LongWord;
													 b_ExtTriggerMode : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_StopAnalogAcquisition(h_DeviceHandle : THANDLE ): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   l_PCI3001_ReadSequenceData(h_DeviceHandle : THANDLE; size : LongWord; var data : Uint16): longint;FAR;STDCALL;External 'PCI3001.DLL';


FUNCTION   i_PCI3001_InitAndStartTimer (h_DeviceHandle : THANDLE; dw_DelayValue : LongWord; b_InterruptFlag : Byte): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_StopTimer (h_DeviceHandle : THANDLE): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_ReadTimerValue (h_DeviceHandle : THANDLE; var pdw_ReadValue : LongWord): Int16;FAR;STDCALL;External 'PCI3001.DLL';

FUNCTION   i_PCI3001_WriteTimerValue (h_DeviceHandle : THANDLE; var dw_WriteValue : LongWord): Int16;FAR;STDCALL;External 'PCI3001.DLL';


END.